<%@ Page Language="VB" ResponseEncoding="iso-8859-1" Debug="true" %>
<%@ Register TagPrefix="Rico" TagName="LiveGrid" Src="../../plugins/dotnet/LiveGrid.ascx" %>
<%@ Register TagPrefix="Rico" TagName="Column" Src="../../plugins/dotnet/GridColumn.ascx" %>
<%@ Register TagPrefix="My" TagName="LoadRicoClient" Src="LoadRicoClient.ascx" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Rico LiveGrid-Example 2</title>

<My:LoadRicoClient id='initlibs' runat='server' />
<link href="../demo.css" type="text/css" rel="stylesheet" />

<style type="text/css">
div.ricoLG_cell {
  white-space:nowrap;
}
</style>
</head>
<body>

<div id='explanation'>
Base Library: 
<script type='text/javascript'>
document.write(Rico.Lib+' '+Rico.LibVersion);
</script>
<hr>
This example uses AJAX to fetch order data, as required, from the server. 
Notice how the number of visible rows is set automatically based
on the size of the window. Try the different grid styles that
are available. 
Click on a cell to see available actions.
<a href='ricoQuery.aspx?id=ex2x&offset=0&page_size=10&get_total=true'>View the AJAX response (XML)</a>.
</div>

<Rico:LiveGrid runat='server' id='ex2x' TableName='orders' DefaultSort='OrderID' menuEvent='click' frozenColumns='1' highlightElem='cursorRow'>
<GridColumns>
  <Rico:Column runat='server' ColName='OrderID' heading='Order#' width='60' />
  <Rico:Column runat='server' ColName='CustomerID' heading='Cust#' width='60' />
  <Rico:Column runat='server' ColName='ShipName' heading='Ship Name' width='150' />
  <Rico:Column runat='server' ColName='ShipCity' heading='Ship City' width='120' />
  <Rico:Column runat='server' ColName='ShipCountry' heading='Ship Country' width='90' />
  <Rico:Column runat='server' ColName='OrderDate' heading='Order Date' datatype='date' width='100' />
  <Rico:Column runat='server' ColName='ShippedDate' heading='Ship Date' datatype='date' width='100' />
</GridColumns>
</Rico:LiveGrid>

</body>
</html>
