/*****************************************************************
 ricoLocale_ko.js - a component of Rico 2.0
 Localization strings for Korean
 If you have better translations, or would like to include
 translations for another language, please send them to dowdybrown@yahoo.com
******************************************************************/
Rico.langCode='ko';

// used in ricoLiveGrid.js

Rico.addPhraseId('bookmarkExact'," $3  $1 ~ $2");
Rico.addPhraseId('bookmarkAbout',"  $3  $1 ~ $2");
Rico.addPhraseId('bookmarkNoRec',"ڷᰡ ϴ.");
Rico.addPhraseId('bookmarkNoMatch',"ǿ ġϴ ڷᰡ ϴ.");
Rico.addPhraseId('bookmarkLoading',"ҷ ......");
Rico.addPhraseId('sorting'," ......");
Rico.addPhraseId('exportStatus',"$1 °  ϰ ֽϴ.");
Rico.addPhraseId('filterAll',"()");
Rico.addPhraseId('filterBlank',"()");
Rico.addPhraseId('filterEmpty',"()");
Rico.addPhraseId('filterNotEmpty',"( )");
Rico.addPhraseId('filterLike',"$1  ");
Rico.addPhraseId('filterNot',"$1  ƴ");
Rico.addPhraseId('requestError',"ԷϽ û  ȯ߽ϴ:\n$1");
Rico.addPhraseId('keywordPrompt',"O÷ Ű带 ԷϽʽÿ. ( * Ű Ͻ  ֽϴ.):");

// used in ricoLiveGridMenu.js

Rico.addPhraseId('gridmenuSortBy',"$1  ");
Rico.addPhraseId('gridmenuSortAsc',"");
Rico.addPhraseId('gridmenuSortDesc',"");
Rico.addPhraseId('gridmenuFilterBy',"$1  ã");
Rico.addPhraseId('gridmenuRefresh',"ٽú");
Rico.addPhraseId('gridmenuChgKeyword',"Ű ٲٱ...");
Rico.addPhraseId('gridmenuExcludeAlso',"  ");
Rico.addPhraseId('gridmenuInclude',"  ");
Rico.addPhraseId('gridmenuGreaterThan',"  ũų .");
Rico.addPhraseId('gridmenuLessThan',"  ۰ų .");
Rico.addPhraseId('gridmenuContains',"(Ű) .");
Rico.addPhraseId('gridmenuExclude',"  .");
Rico.addPhraseId('gridmenuRemoveFilter'," ֱ");
Rico.addPhraseId('gridmenuRemoveAll',"  ֱ");

Rico.addPhraseId('gridmenuExport',"μ/");
Rico.addPhraseId('gridmenuExportVis2Web',"̴  ");
Rico.addPhraseId('gridmenuExportAll2Web',"  ");
Rico.addPhraseId('gridmenuExportVis2SS',"̴  ()");
Rico.addPhraseId('gridmenuExportAll2SS',"  ()");

Rico.addPhraseId('gridmenuHideShow',"/̱");
Rico.addPhraseId('gridmenuChooseCols'," ...");
Rico.addPhraseId('gridmenuHide',"$1 ");
Rico.addPhraseId('gridmenuShow',"$1 ̱");
Rico.addPhraseId('gridmenuShowAll'," ̱");

// used in ricoLiveGridAjax.js

Rico.addPhraseId('sessionExpireMinutes'," ҽϴ. ()");
//could you please, change the above format in this way? $1 minutes before ........
Rico.addPhraseId('sessionExpired',"ϴ.");
Rico.addPhraseId('requestTimedOut',"ڷû  ð ʰ߽ϴ!");
Rico.addPhraseId('waitForData',"ڷḦ ٸ ֽϴ......");
Rico.addPhraseId('httpError',"HTTP  ޾ҽϴ: $1");
Rico.addPhraseId('invalidResponse',"  亯 ½ϴ.");

// used in ricoLiveGridCommon.js

Rico.addPhraseId('gridChooseCols'," ");
Rico.addPhraseId('exportComplete'," Ϸ.");
Rico.addPhraseId('exportInProgress'," Դϴ.");
Rico.addPhraseId('showFilterRow',"  ̱");  // img alt text
Rico.addPhraseId('hideFilterRow',"  ");  // img alt text

// used in ricoLiveGridForms.js

Rico.addPhraseId('selectNone',"(þ)");
Rico.addPhraseId('selectNewVal',"( )");
Rico.addPhraseId('record',"record");
Rico.addPhraseId('thisRecord'," $1");
Rico.addPhraseId('confirmDelete',"$1 Ͻðڽϱ?");
Rico.addPhraseId('deleting'," ......");
Rico.addPhraseId('formPleaseEnter',"$1    ԷϽʽÿ.");
Rico.addPhraseId('formInvalidFmt',"$1    ƴմϴ.");
Rico.addPhraseId('formOutOfRange',"$1    ϴ.");
Rico.addPhraseId('formNewValue'," ");
Rico.addPhraseId('saving'," ......");
Rico.addPhraseId('clear',"");
Rico.addPhraseId('close',"ݱ");
Rico.addPhraseId('saveRecord',"$1 ");
Rico.addPhraseId('cancel',"");
Rico.addPhraseId('editRecord',"$1 ");
Rico.addPhraseId('deleteRecord',"$1 ");
Rico.addPhraseId('cloneRecord',"$1 ");
Rico.addPhraseId('addRecord'," $1 ߰");
Rico.addPhraseId('addedSuccessfully',"$1   ߰Ǿϴ.");
Rico.addPhraseId('deletedSuccessfully',"$1   Ǿϴ.");
Rico.addPhraseId('updatedSuccessfully',"$1   Ǿϴ.");

// used in ricoTree.js

Rico.addPhraseId('treeSave',"ÿ ");
Rico.addPhraseId('treeClear'," /·");

// used in ricoCalendar.js

Rico.addPhraseId('calToday'," $3 $4 $1 Դϴ.");  // $1=day, $2=monthabbr, $3=year, $4=month number
Rico.addPhraseId('calWeekHdg',"Wk");
Rico.addPhraseId('calYearRange',"$1  $2 )");
Rico.addPhraseId('calInvalidYear',"⵵  ʽϴ.");


// Date & number formats
Rico.thouSep=","
Rico.decPoint="."
Rico.dateFmt="yyyy/mm/dd"

Rico.monthNames=['1','2', '3', '4', '5','6', '7','8','9','10','11','12']
Rico.dayNames=['','','ȭ','','','','']
