<%@ Page Language="vb" Debug="true" validateRequest="false" %>
<%@ Register TagPrefix="Rico" TagName="sqlParse" Src="../../plugins/dotnet/sqlParse.ascx" %>
<%@ Register TagPrefix="Rico" TagName="ricoResponse" Src="../../plugins/dotnet/ricoResponse.ascx" %>
<%@ Register TagPrefix="My" TagName="dbLib" Src="dbConnect.ascx" %>
<My:dbLib id='app' runat='server' />

<script runat="server">

Sub Page_Load(Sender As object, e As EventArgs)
  dim sql = session.contents(RespObj.RequestId)
  if IsNothing(sql) then
    RespObj.ErrorMsg="Your connection with the server was idle for too long and timed out. Please refresh this page and try again."
  elseif not app.OpenDB() then
    RespObj.ErrorMsg=app.LastErrorMsg
  else
    RespObj.filters=session.contents(RespObj.RequestId & ".filters")
    if IsReference(sql) and TypeName(sql)<>"String" then
      RespObj.oParse=sql.Clone()
    elseif ucase(left(sql,7))="SELECT " then
      RespObj.oParse=new sqlParse()
      RespObj.oParse.ParseSelect(sql)
    else
      ' stored procedure
      RespObj.sqlText=sql
    end if
    RespObj.dbConnection=app.dbConnection
    RespObj.dbDialect=app.dbDialect
    RespObj.sendDebugMsgs=true   ' true for development, false for production
    RespObj.LogSqlOnError=true   ' true for development, false for production
  end if
End Sub

</script>

<Rico:ricoResponse id="RespObj" runat="server"/>
